diff --git a/alembic/versions/230e79315bd_add_last_whiteboard_.py b/alembic/versions/230e79315bd_add_last_whiteboard_.py
new file mode 100644
--- /dev/null
+++ b/alembic/versions/230e79315bd_add_last_whiteboard_.py
@@ -0,0 +1,22 @@
+"""Add last_whiteboard_change to Bug table
+
+Revision ID: 230e79315bd
+Revises: 23cc8daafea8
+Create Date: 2013-12-18 15:10:26.506367
+
+"""
+
+# revision identifiers, used by Alembic.
+revision = '230e79315bd'
+down_revision = '4df932caa9a9'
+
+from alembic import op
+import sqlalchemy as sa
+
+
+def upgrade():
+    op.add_column(u'bug', sa.Column(u'last_whiteboard_change', sa.DateTime(), nullable=True))
+
+
+def downgrade():
+    op.drop_column(u'bug', u'last_whiteboard_change')
diff --git a/blockerbugs/controllers/main.py b/blockerbugs/controllers/main.py
--- a/blockerbugs/controllers/main.py
+++ b/blockerbugs/controllers/main.py
@@ -52,6 +52,14 @@
     return [bug.bugid for bug in recentmods]
 
 
+def get_recent_whiteboard_change(milestoneid):
+    now = datetime.datetime.utcnow()
+    modcutoff = now - datetime.timedelta(1)
+    recentmods = Bug.query.filter_by(milestone_id=milestoneid).filter(
+        Bug.last_whiteboard_change > modcutoff).all()
+    return [bug.bugid for bug in recentmods]
+
+
 def get_milestone_bugs(milestone):
     bugz = {'Accepted Blockers':[], 'Accepted 0-day Blockers':[], 'Accepted Previous Release Blockers':[], 'Proposed Blockers':[], 'Accepted Freeze Exceptions':[], 'Proposed Freeze Exceptions':[]}
 
@@ -156,9 +164,11 @@
     release_info = get_milestone_info(milestone)
     bugz = get_milestone_bugs(milestone)
     recent_bugs = get_recent_modifications(milestone.id)
+    whiteboard_change = get_recent_whiteboard_change(milestone.id)
     return render_template('blocker_list.html',
                            buglists=bugz,
                            recent=recent_bugs,
+                           wb_change=whiteboard_change,
                            info=release_info,
                            title="Fedora %s %s Blocker Bugs" % (
                            release_info['number'], release_info['phase']))
diff --git a/blockerbugs/models/bug.py b/blockerbugs/models/bug.py
--- a/blockerbugs/models/bug.py
+++ b/blockerbugs/models/bug.py
@@ -36,6 +36,7 @@
     last_bug_sync = db.Column(db.DateTime)
     needinfo = db.Column(db.Boolean)
     needinfo_requestee = db.Column(db.String(1024), unique=False)
+    last_whiteboard_change = db.Column(db.DateTime)
     proposed_blocker = db.Column(db.Boolean)
     proposed_fe = db.Column(db.Boolean)
     rejected_blocker = db.Column(db.Boolean)
@@ -51,6 +52,7 @@
 
     def __init__(self, bugid, url, summary, status, component, milestone,
                  active, needinfo, needinfo_requestee,
+                 last_whiteboard_change=datetime.datetime.utcnow(),
                  last_bug_sync=datetime.datetime.now()):
         self.bugid = bugid
         self.url = url
@@ -69,6 +71,7 @@
         self.proposed_fe = False
         self.accepted_fe = False
         self.rejected_fe = False
+        self.last_whiteboard_change = last_whiteboard_change
         self.last_bug_sync = last_bug_sync
 
     def __repr__(self):
@@ -84,12 +87,20 @@
         self.needinfo = buginfo['needinfo']
         self.needinfo_requestee = buginfo['needinfo_requestee']
         if tracker_type == 'Blocker':
+            if self.proposed_blocker != buginfo['proposed'] or \
+               self.accepted_blocker != buginfo['accepted'] or \
+               self.rejected_blocker != buginfo['rejected']:
+                self.last_whiteboard_change = datetime.datetime.utcnow()
             self.proposed_blocker = buginfo['proposed']
             self.accepted_0day = buginfo['0day']
             self.accepted_prevrel = buginfo['prevrel']
             self.accepted_blocker = buginfo['accepted']
             self.rejected_blocker = buginfo['rejected']
         elif tracker_type == 'FreezeException':
+            if self.proposed_fe != buginfo['proposed'] or \
+               self.accepted_fe != buginfo['accepted'] or \
+               self.rejected_fe != buginfo['rejected']:
+                self.last_whiteboard_change = datetime.datetime.utcnow()
             self.proposed_fe = buginfo['proposed']
             self.accepted_fe = buginfo['accepted']
             self.rejected_fe = buginfo['rejected']
diff --git a/testing/test_controllers.py b/testing/test_controllers.py
--- a/testing/test_controllers.py
+++ b/testing/test_controllers.py
@@ -143,7 +143,7 @@
                  SpinState.built)
         add_bug(9000, 'testbug1', final_milestone)
         add_bug(9001, 'testbug2', final_milestone)
-        final_milestone.last_bug_sync = datetime.datetime.now()
+        final_milestone.last_bug_sync = datetime.datetime.utcnow()
         db.session.commit()
 
     @classmethod

